%define major_version  1.12
%define minor_version  6

Name:           glom
Version:        %{major_version}.%{minor_version}
Release:        1%{?dist}
Summary:        Easy-to-use database designer and user interface

Group:          Applications/Databases
License:        GPLv2+
URL:            http://www.glom.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/glom/%{major_version}/%{name}-%{major_version}.%{minor_version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils gettext-devel intltool
BuildRequires:  libgdamm-devel >= 3.99.14
BuildRequires:  libxml++-devel >= 2.18.1
BuildRequires:  python-devel
BuildRequires:  gnome-python2-gda-devel >= 2.25.3
BuildRequires:  gnome-vfsmm26-devel >= 2.11.1
BuildRequires:  gtkmm24-devel >= 2.10
BuildRequires:  gconfmm26-devel
BuildRequires:  libxslt-devel >= 1.1.10
BuildRequires:  pygtk2-devel >= 2.6
BuildRequires:  iso-codes-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  scrollkeeper
BuildRequires:  gtksourceviewmm-devel >= 2.0.0
BuildRequires:  libgda-devel >= 4.0.4
BuildRequires:  postgresql-server
BuildRequires:  libgda-postgres-devel
BuildRequires:  avahi-ui-devel
BuildRequires:  goocanvasmm-devel >= 0.14.0
BuildRequires:  libepc-devel

# Glom curently only supports postgresql well and uses it by default.
Requires:       postgresql-server
# Both gda providers are dlopened by libgda. sqlite is used internally
# by glom.
Requires:       libgda-postgres
Requires:       libgda-sqlite
Requires:       gnome-python2-gda

Requires(post):   shared-mime-info desktop-file-utils
Requires(postun): shared-mime-info desktop-file-utils
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper


%description
Glom lets you design database systems - the database and the user
interface. Glom has high-level features such as relationships,
lookups, related fields, related records, calculated fields, drop-down
choices, searching, reports, users and groups. It has Numeric, Text,
Date, Time, Boolean, and Image field types. Glom systems require
almost no programming, but you may use Python for calculated fields or
buttons. Glom uses the PostgreSQL database backend.

%package libs
Summary:  Libraries for %{name}
Group:    System Environment/Libraries


%description libs
The %{name}-libs package contains shared libraries for %{name}.


%package devel
Summary:    Headers for developing programs that will use %{name}
Group:      Development/Libraries
Requires:   %{name}-libs = %{version}-%{release}
Requires:   pkgconfig


%description devel
This package contains the header files needed to develop applications
that use the %{name} libraries.


%prep
%setup -q


%build
%configure \
        --disable-dependency-tracking \
        --disable-static \
        --disable-update-mime-database \
        --disable-scrollkeeper \
        --with-postgres-utils=/usr/bin \
        --disable-sqlite \
	--docdir=%{_datadir}/%{name}/examples
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install --vendor "" --delete-original         \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications          \
  ${RPM_BUILD_ROOT}/usr/share/applications/%{name}.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :


%post libs -p /sbin/ldconfig


%postun
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
scrollkeeper-update -q || :
/sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_libdir}/python?.?/site-packages/%{name}*.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/omf/%{name}


%files libs
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{major_version}.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/glom-%{major_version}
%{_libdir}/lib%{name}-%{major_version}.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Feb  5 2010 Denis Leroy <denis@poolshark.org> - 1.12.6-1
- Update to upstream 1.12.6

* Tue Jan  5 2010 Denis Leroy <denis@poolshark.org> - 1.12.4-1
- Update to upstream 1.12.4

* Wed Nov  4 2009 Denis Leroy <denis@poolshark.org> - 1.12.3-1
- Update to upstream 1.12.3, regression fix from 1.12.2

* Sun Oct 25 2009 Denis Leroy <denis@poolshark.org> - 1.12.2-1
- Update to upstream 1.12.2
- Fixed gnome-python2-gda run-time Require (#530656)

* Sat Sep 26 2009 Denis Leroy <denis@poolshark.org> - 1.12.0-1
- Update to upstream 1.12.0
- BRs update, library versioning update

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 25 2009 Denis Leroy <denis@poolshark.org> - 1.10.1-1
- Update to stable upstream 1.10.1, bugfix release

* Sat Apr  4 2009 Denis Leroy <denis@poolshark.org> - 1.10.0-3
- Requires libgda-sqlite 

* Wed Mar 25 2009 Denis Leroy <denis@poolshark.org> - 1.10.0-2
- Fixed libs rpmlint complaints

* Mon Mar 23 2009  <denis@poolshark.org> - 1.10.0-1
- Update to 1.10.0
- Disable sqlite backend, has very limited functionality
- Split libs and devel packages

* Wed Mar  4 2009 Denis Leroy <denis@poolshark.org> - 1.9.3-1
- Update to upstream 1.9.3
- Now provides sqlite backend

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Denis Leroy <denis@poolshark.org> - 1.9.0-1
- Update to upstream 1.9.0
- Updated list of BRs

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.6.17-3
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.6.17-2
- Rebuild for Python 2.6

* Tue Jun 17 2008 Denis Leroy <denis@poolshark.org> - 1.6.17-1
- Update to 1.6.17
- gcc 4.3 patch upstreamed

* Tue May  6 2008 Denis Leroy <denis@poolshark.org> - 1.6.15-1
- Update to upstream 1.6.15, fixes connection issue

* Sun Mar 23 2008 Denis Leroy <denis@poolshark.org> - 1.6.10-1
- Update to upstream 1.6.10, buxfix release

* Mon Feb 11 2008 Denis Leroy <denis@poolshark.org> - 1.6.8-1
- Update to 1.6.8, bugfix release
- Added patch for g++ 4.3

* Tue Jan 29 2008 Denis Leroy <denis@poolshark.org> - 1.6.7-1
- Update to upstream 1.6.7, bugfix release, BR versions updated

* Wed Jan 23 2008 Denis Leroy <denis@poolshark.org> - 1.6.6-1
- Update to upstream 1.6.6, with fix for database closing bug

* Mon Nov 19 2007 Denis Leroy <denis@poolshark.org> - 1.6.4-1
- Update to upstream 1.6.4, many bug fixes

* Wed Sep 12 2007 Denis Leroy <denis@poolshark.org> - 1.6.0-1
- Update to 1.6.0, updated BRs

* Thu Aug 23 2007 Denis Leroy <denis@poolshark.org> - 1.5.2-2
- License tag update

* Tue Jun 19 2007 Denis Leroy <denis@poolshark.org> - 1.5.2-1
- Update to 1.5.2
- Now using libgda 3.0

* Thu Apr  5 2007 Denis Leroy <denis@poolshark.org> - 1.4.3-1
- Update to 1.4.3

* Thu Mar 22 2007 Denis Leroy <denis@poolshark.org> - 1.4.2-1
- Update to 1.4.2
- Removed avahi dependency

* Thu Mar 15 2007 Denis Leroy <denis@poolshark.org> - 1.4.0-1
- Update to 1.4.0

* Fri Mar  9 2007 Denis Leroy <denis@poolshark.org> - 1.3.11-1
- Update to 1.3.11
- Updated dependencies, added postgres deps

* Mon Dec 11 2006 Denis Leroy <denis@poolshark.org> - 1.2.2-3
- Fixed python2.5 path
- Added patch to fix python 2.5 compile

* Fri Dec  8 2006 Denis Leroy <denis@poolshark.org> - 1.2.2-2
- Fixed source upload

* Fri Dec  8 2006 Denis Leroy <denis@poolshark.org> - 1.2.2-1
- Update to 1.2.2

* Tue Nov 21 2006 Denis Leroy <denis@poolshark.org> - 1.2.1-2
- Update to 1.2.1

* Thu Oct 19 2006 Denis Leroy <denis@poolshark.org> - 1.2.0-2
- Rebuild with correct sources files

* Wed Oct 18 2006 Denis Leroy <denis@poolshark.org> - 1.2.0-1
- Update to 1.2.0
- Added omf directory

* Sun Oct  8 2006 Denis Leroy <denis@poolshark.org> - 1.0.7-1
- Update to 1.0.7

* Fri Oct  6 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-4
- fixed x86_64 spec, vfsmm patch no longer needed

* Thu Oct  5 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-3
- Added scrollkeeper db updates
- Added mime-type key to desktop file
- Added autoreconf and patch to fix rpath problem

* Wed Oct  4 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-2
- Fixed BRs
- Enabled scrollkeeper

* Tue Oct  3 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-1
- Update to 1.0.5

* Thu Aug  3 2006 Denis Leroy <denis@poolshark.org> - 1.0.4-1
- First version

